# Class GenerateWorkspaceSettingsFileTask

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.plugins.ide.api.GeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceSettingsFile>
org.gradle.plugins.ide.api.PropertyListGeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceSettingsFile>
org.gradle.ide.xcode.tasks.GenerateWorkspaceSettingsFileTask

All Implemented Interfaces:
  `Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>`

@Incubating public class GenerateWorkspaceSettingsFileTask extends PropertyListGeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceSettingsFile>
Task for generating a workspace settings file.

Since:
  4.2

## Nested Class Summary

### Nested classes/interfaces inherited from interface Task

`Task.Namer`

## Field Summary

### Fields inherited from class GeneratorTask

`afterConfigured, beforeConfigured, domainObject, generator`

### Fields inherited from interface Task

`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`GenerateWorkspaceSettingsFileTask()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`configure(org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceSettingsFile settingsFile)`
`protected org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceSettingsFile`
`create()`

### Methods inherited from class PropertyListGeneratorTask

`getPropertyListTransformer`

### Methods inherited from class GeneratorTask

`getInputFile, getInputFileIfExists, getInstantiator, getOutputFile, setInputFile, setOutputFile`

### Methods inherited from class org.gradle.api.internal.ConventionTask

`conventionMapping, conventionMapping, getConventionMapping`

### Methods inherited from class DefaultTask

`newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

### Methods inherited from class org.gradle.api.internal.AbstractTask

`addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GenerateWorkspaceSettingsFileTask

public GenerateWorkspaceSettingsFileTask()

## Method Details

### configure

protected void configure(org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceSettingsFile settingsFile)

Specified by:
  `configure` in class `PropertyListGeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceSettingsFile>`

### create

protected org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceSettingsFile create()

Specified by:
  `create` in class `PropertyListGeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceSettingsFile>`